Unit SF78R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UTSF16_p;

procedure SF78R(X :Real; RLAM :Real; A :Real; var PROB :Real;
                var IER :Integer);

implementation

procedure SF78R(X :Real; RLAM :Real; A :Real; var PROB :Real;
                var IER :Integer);
const
SYS013 :Real = 0.31830988618379067153776752674503;
label
_10,_20;
begin
IER := 0;
if ( RLAM  <=  0.0 ) 
 then goto _10;
PROB  := SYS013*ArcTan((X-A)/RLAM) + 0.5;
goto _20;
_10:

{         OOHOE AAHE RLAM }

PROB  := 0.0;
IER  := 65;
UTSF16(IER,7);
_20:
end;

end.
